package net.minecraft.src;

import java.util.Random;
import net.minecraft.server.MinecraftServer;

// SDK ModLoaderMp
public abstract class BaseMod
{

    public BaseMod()
    {
    }

    public String toString()
    {
        return (new StringBuilder(String.valueOf(getClass().getName()))).append(" ").append(Version()).toString();
    }

    public abstract String Version();

    public int AddFuel(int i)
    {
        return 0;
    }

    public boolean DispenseEntity(World world, double d, double d1, double d2, 
            float f, float f1, ItemStack itemstack)
    {
        return false;
    }

    public void GenerateNether(World world, Random random, int i, int j)
    {
    }

    public void GenerateSurface(World world, Random random, int i, int j)
    {
    }

    public void OnTickInGame(MinecraftServer minecraftserver)
    {
    }

    public void ModsLoaded()
    {
    }
}
